ftxui::AnimatedColorOption
component_options.hpp
bool bool enabled enabled ftxui::AnimatedColorOption::enabled = false
Color Color inactive inactive ftxui::AnimatedColorOption::inactive
Color Color active active ftxui::AnimatedColorOption::active
animation::Duration animation::Duration duration duration ftxui::AnimatedColorOption::duration = std::chrono::milliseconds(250)
animation::easing::Function animation::easing::Function function function ftxui::AnimatedColorOption::function = animation::easing::QuadraticInOut
void void Set (Color inactive, Color active, animation::Duration duration=std::chrono::milliseconds(250), animation::easing::Function function=animation::easing::QuadraticInOut) Set ftxui::AnimatedColorOption::Set Color inactive Color active animation::Duration duration std::chrono::milliseconds(250) animation::easing::Function function animation::easing::QuadraticInOut

A color option that can be animated. @params _inactive The color when the component is inactive. @params _active The color when the component is active. @params _duration The duration of the animation. @params _function The easing function of the animation.

Option about a potentially animated color.

AnimatedColorOption
active
inactive
Color
- ftxui::AnimatedColorOption
  active
- ftxui::AnimatedColorOption
  duration
- ftxui::AnimatedColorOption
  enabled
- ftxui::AnimatedColorOption
  function
- ftxui::AnimatedColorOption
  inactive
- ftxui::AnimatedColorOption
  Set